services:
  _defaults:
    autowire: true
    autoconfigure: true

  # getOne
  xcart.api.storefront.user.data_provider.item.request.assembler.decorator.without_id:
    class: XCart\API\DataProvider\Storefront\Item\Assembler\WithoutIdRequestAssembler
    decorates: xcart.api.storefront.user.data_provider.item.request.assembler
    arguments:
      $inner: '@.inner'
      $requestFactory: '@XCart\Factory\Logic\Action\Storefront\User\GetOne\DTO\RequestInterface'
